﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace xamCheckEditor_ChngngBackgroudWhenNull
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            xamCheckEditor1.Value = null;

        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            xamCheckEditor1.Value = false;
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            xamCheckEditor1.Value = true;
        }

        private void xamCheckEditor1_MouseDown(object sender, MouseButtonEventArgs e)
        {

        }
    }

    public class ConvertNullToString : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
            {
                return "Null";
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }

    public class TriggersConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
            {
                return false;
            }

            return true;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }

    public class MultiConv : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((bool)values[0])
            {
                if ((bool)values[1])
                {
                    return false;
                }
                return true;
            }
            else
            {
                if (!(bool)values[1])
                {
                    return false;
                }
                return true;
            }
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            object[] arr = new object[1]{value};
            return arr;
        }
    }


}
